Bug 1737742 - CVE-2019-1010319 wavpack: use of uninitialized variable in ParseWave64HeaderConfig leads to DoS [fedora-all] [NEEDINFO]
Summary: CVE-2019-1010319 wavpack: use of uninitialized variable in ParseWave64HeaderC...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wavpack
Version: 30
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-1010319
TreeView+ depends on / blocked
 
Reported: 2019-08-06 07:10 UTC by Marian Rehak
Modified: 2019-09-03 12:57 UTC (History)
4 users (show)

Fixed In Version: wavpack-5.1.0-16.fc30 wavpack-5.1.0-16.fc29
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-03 12:32:30 UTC
Type: ---
tkorbar: needinfo? (lemenkov)


Attachments (Terms of Use)

Description Marian Rehak 2019-08-06 07:10:07 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2019-08-06 07:10:09 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1737740,1737742

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Tomas Korbar 2019-08-09 07:05:39 UTC
Hi Peter,
Just providing my opinion.
I successfully reproduced this issue on f29, f30 and rawhide.
Do you want me to prepare pull request (or directly update) with needed changes or do you want to take care of this yourself?

Comment 3 Fedora Update System 2019-08-19 11:01:31 UTC
FEDORA-2019-c72f5f6361 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c72f5f6361

Comment 4 Fedora Update System 2019-08-19 13:01:59 UTC
FEDORA-2019-8eeb8f9d3f has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8eeb8f9d3f

Comment 5 Fedora Update System 2019-08-20 00:42:06 UTC
wavpack-5.1.0-16.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c72f5f6361

Comment 6 Fedora Update System 2019-08-20 01:37:22 UTC
wavpack-5.1.0-16.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8eeb8f9d3f

Comment 7 Fedora Update System 2019-09-03 12:32:30 UTC
wavpack-5.1.0-16.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-09-03 12:57:48 UTC
wavpack-5.1.0-16.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.